Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCyril Rohr <cyril.rohr@gmail.com>2014-04-01 18:39:26 +0400
committerCyril Rohr <cyril.rohr@gmail.com>2014-05-06 14:34:17 +0400
commitb1d68b6e9bd837b3b685b76ceca1b6a44cf2dc17 (patch)
tree67c8a24fb10d67afe32fd1ee48ee68f4bdc3ff16
parent81ecd1195fd91c99f34c837524530800dbaf7bb2 (diff)
Add .pkgr.yml file for automated packaging on https://pkgr.io
-rw-r--r--.pkgr.yml19
-rwxr-xr-xbin/pkgr_before_precompile.sh16
2 files changed, 35 insertions, 0 deletions
diff --git a/.pkgr.yml b/.pkgr.yml
new file mode 100644
index 00000000000..09cb83783dc
--- /dev/null
+++ b/.pkgr.yml
@@ -0,0 +1,19 @@
+user: git
+group: git
+before_precompile: ./bin/pkgr_before_precompile.sh
+targets:
+ debian-7: &wheezy
+ build_dependencies:
+ - libicu-dev
+ dependencies:
+ - libicu48
+ - libpcre3
+ - git
+ ubuntu-12.04: *wheezy
+ ubuntu-14.04:
+ build_dependencies:
+ - libicu-dev
+ dependencies:
+ - libicu52
+ - libpcre3
+ - git
diff --git a/bin/pkgr_before_precompile.sh b/bin/pkgr_before_precompile.sh
new file mode 100755
index 00000000000..126f9fda72e
--- /dev/null
+++ b/bin/pkgr_before_precompile.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -ex
+
+for file in config/*.yml.example; do
+ cp ${file} config/$(basename ${file} .example)
+done
+
+# No need for config file. Will be taken care of by REDIS_URL env variable
+rm config/resque.yml
+
+# Set default unicorn.rb file
+echo "" > config/unicorn.rb
+
+# Required for assets precompilation
+sudo service postgresql start